summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorbertagaz <bertagaz@ptitcanardnoir.org>2015-09-04 15:19:44 +0200
committerbertagaz <bertagaz@ptitcanardnoir.org>2015-09-04 15:19:44 +0200
commite555a67890276cbebffa56e48a7875f16943d232 (patch)
treed99a3213c9fbd9126ea122969a79004eeb5971d7
parentb476e6e0a849acafdb2f1ad6cf909d442b8c6d84 (diff)
parentd133a9b924ef7e4c7c4b04a9dd93d6bf67e7eecf (diff)
Merge branch 'stable' into test/9516-tor-bootstraptest/9516-tor-bootstrap
-rw-r--r--.gitignore2
-rw-r--r--features/step_definitions/common_steps.rb9
-rw-r--r--features/usb_install.feature2
-rwxr-xr-xvagrant/provision/assets/build-tails18
-rw-r--r--wiki/src/contribute/release_process/test.mdwn1
5 files changed, 5 insertions, 27 deletions
diff --git a/.gitignore b/.gitignore
index 29a78f3..ee75921 100644
--- a/.gitignore
+++ b/.gitignore
@@ -32,6 +32,8 @@
/vagrant/definitions/squeeze/preseed.cfg
/vagrant/iso
/vagrant/squeeze.box
+# Jenkins artifacts directory
+/build-artifacts/
# Files managed by intltool
/config/chroot_local-includes/etc/skel/Desktop/tails-documentation.desktop
diff --git a/features/step_definitions/common_steps.rb b/features/step_definitions/common_steps.rb
index 733d2e8..9d6871a 100644
--- a/features/step_definitions/common_steps.rb
+++ b/features/step_definitions/common_steps.rb
@@ -459,15 +459,6 @@ Then /^all Internet traffic has only flowed through Tor$/ do
leaks.assert_no_leaks
end
-Given /^I enter the sudo password in the gksu prompt$/ do
- next if @skip_steps_while_restoring_background
- @screen.wait('GksuAuthPrompt.png', 60)
- sleep 1 # wait for weird fade-in to unblock the "Ok" button
- @screen.type(@sudo_password)
- @screen.type(Sikuli::Key.ENTER)
- @screen.waitVanish('GksuAuthPrompt.png', 10)
-end
-
Given /^I enter the sudo password in the pkexec prompt$/ do
next if @skip_steps_while_restoring_background
step "I enter the \"#{@sudo_password}\" password in the pkexec prompt"
diff --git a/features/usb_install.feature b/features/usb_install.feature
index 19ff8ca..521ef34 100644
--- a/features/usb_install.feature
+++ b/features/usb_install.feature
@@ -93,6 +93,8 @@ Feature: Installing Tails to a USB drive, upgrading it, and using persistence
Given a computer
And I start Tails from USB drive "current" with network unplugged and I login
Then the boot device has safe access rights
+ And process "udev-watchdog" is running
+ And udev-watchdog is monitoring the correct device
And Tails is running from USB drive "current"
And the boot device has safe access rights
And there is no persistence partition on USB drive "current"
diff --git a/vagrant/provision/assets/build-tails b/vagrant/provision/assets/build-tails
index 3e06444..cc1c37d 100755
--- a/vagrant/provision/assets/build-tails
+++ b/vagrant/provision/assets/build-tails
@@ -33,20 +33,10 @@ cleanup() {
trap cleanup EXIT
if [ -n "$JENKINS_URL" ]; then
- # Build triggered by Jenkins
- ENV_FILE=/etc/jenkins/environment
- if [ -f "$ENV_FILE" ] && [ -r "$ENV_FILE" ] ; then
- . "$ENV_FILE"
- fi
-
if [ -z "$WORKSPACE" ]; then
echo "WORKSPACE environment variable is not set. Aborting." >&2
exit 2
fi
- if [ -z "$ARTIFACTS_ROOT_DIR" ] ; then
- echo "ARTIFACTS_ROOT_DIR environment variable is not set. Aborting." >&2
- exit 3
- fi
if [ -z "$GIT_BRANCH" ]; then
echo "GIT_BRANCH environment variable is not set. Aborting." >&2
exit 4
@@ -57,7 +47,7 @@ if [ -n "$JENKINS_URL" ]; then
fi
REV="${GIT_BRANCH##origin/}"
COMMIT="$GIT_COMMIT"
- ARTIFACTS_DIR="$ARTIFACTS_ROOT_DIR/$JOB_NAME"
+ ARTIFACTS_DIR="$WORKSPACE/build-artifacts"
else
# Build triggered by Vagrant
WORKSPACE=/home/vagrant/amnesia
@@ -133,9 +123,3 @@ if [ -n "$JENKINS_URL" ]; then
fi
mv -f tails-* "$ARTIFACTS_DIR"
-
-if [ -n "$JENKINS_URL" ]; then
- for EXT in '' .binpkgs .srcpkgs .shasum .shasum.asc .packages .buildlog ; do
- ln -sf "${ISO}${EXT}" "$ARTIFACTS_DIR/latest.iso${EXT}"
- done
-fi
diff --git a/wiki/src/contribute/release_process/test.mdwn b/wiki/src/contribute/release_process/test.mdwn
index 32e26e1..1caf616 100644
--- a/wiki/src/contribute/release_process/test.mdwn
+++ b/wiki/src/contribute/release_process/test.mdwn
@@ -143,7 +143,6 @@ tracked by tickets prefixed with `todo/test_suite:`.
# Erase memory on shutdown
- `memlockd` must be running
-- `udev-watchdog` must monitor the right device when booted off USB (automate: [[!tails_ticket 9890]])
- After booting from DVD, remove Tails boot medium and check that the
memory erasure process is started (`Loading new kernel`, at least).
(automate: [[!tails_ticket 5472]])